Content-type: text/html

# IPSEC_IKEPING

Section: Maintenance Commands (8)
Updated: 23 Feb 2002
Index Return to Main Contents

## NAME

ipsec ikeping - send/receive ISAKMP/IKE echo requests/replies

## SYNOPSIS

ipsec ikeping [ --listen ] [ --verbose ] [ --wait time ] [ --exchangenum num ] [ --ikeport localport ] [ --ikeaddress address ] [ --inet ] [ --inet6 ] destaddr[/dstport] ...

## DESCRIPTION

Ikeping sends and receives ISAKMP/IKE echo request and echo reply packets. These packets are intended for diagnostics purposes, in a manner similar to ping(8) does for ICMP echo request/reply packets.

At the time of this writing, the ISAKMP echo request/reply exchange is still an internet-draft, and is therefore completely non-standard.

Ikeping will bind to the local address given by --ikeaddress and the port number given by --ikeport defaulting to the wildcard address and the ISAKMP port 500. An ISAKMP exchange of type 244 (a private use number) is sent to each of the address/ports listed on the command line. The exchange number may be overridden by the --exchangenum option.

Ikeping then listens for replies, printing them as they are received. Replies are of exchange type 245 or the specified exchange number plus 1. Ikeping will keep listening until it either receives as many echo responses as it sent, or until the timeout period (10 seconds) has been reached. Receipt of a packet will reset the timer. The --wait option can be used to specify a different timeout period.

If the --listen option is given, then ikeping will not send any packets. Instead, it will listen for them and reply to each request received.

## FILES

no external files

## SEE ALSO

ping(8), ipsec_pluto(8)

## HISTORY

Written for the Linux FreeS/WAN project <http://www.freeswan.org> by Michael Richardson.

## BUGS

## Index

NAME
SYNOPSIS
DESCRIPTION
FILES
SEE ALSO
HISTORY
BUGS

This document was created by man2html, using the manual pages.
Time: 14:35:10 GMT, March 22, 2006